Skip to main content
GET
/
workspace
/
users
List of Authenticated Users
curl --request GET \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/workspace/users \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "state": "staged",
    "provider": "google",
    "provider_id": "<string>",
    "name": "<string>",
    "handle": "<string>",
    "email": "<string>",
    "ui_mode": "<string>",
    "ui_color": "<string>",
    "timestamp": {
      "created_at": "<string>",
      "updated_at": "<string>",
      "expires_at": "<string>",
      "last_authenticated_at": "<string>",
      "last_activity_at": "<string>",
      "deleted_at": "<string>"
    },
    "count": {
      "workspace_devices": 123,
      "workspace_roles": 123,
      "workspace_services": 123,
      "workspace_logs_actor": 123,
      "workspace_logs_parent": 123,
      "workspace_logs_record": 123,
      "workspace_logs_related": 123,
      "workspace_logs_subject": 123
    },
    "included": [
      "<string>"
    ],
    "links": {
      "self": "<string>",
      "directory_user": "<string>",
      "workspace_devices": "<string>",
      "workspace_roles": "<string>",
      "workspace_services": "<string>",
      "workspace_tokens": "<string>"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sort
string

Available sorts are id, provider_id, name, handle, email, ui_mode, ui_color, created_at, updated_at, last_authenticated_at, last_activity_at, deleted_at, state, -id, -provider_id, -name, -handle, -email, -ui_mode, -ui_color, -created_at, -updated_at, -last_authenticated_at, -last_activity_at, -deleted_at, -state. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -id.

include
string

Available includes are devices, devices-count, devices-exists, roles, roles-count, roles-exists. You can include multiple options by separating them with a comma.

filter[id]
string
filter[provider_id]
string
filter[name]
string
filter[handle]
string
filter[email]
string
filter[ui_mode]
string
filter[ui_color]
string
filter[state]
string
filter[created_before]
string
filter[created_after]
string
filter[updated_before]
string
filter[updated_after]
string
filter[expires_before]
string
filter[expires_after]
string
filter[expired_before]
string
filter[expired_after]
string
filter[deactivated_before]
string
filter[deactivated_after]
string
filter[deleted_before]
string
filter[deleted_after]
string
filter[last_authenticated_before]
string
filter[last_authenticated_after]
string
filter[last_activity_before]
string
filter[last_activity_after]
string
filter[trashed]
string

Can be a value of with (response will contain deleted items as well), only (will contain only deleted items), or any arbitrary value (will contain only not deleted items).

filter
string
page
string

Response

The collection of WorkspaceUserDetailedResponseData

id
string
required
Example:

"wsusr_01hq8xyzabc123def456ghi789"

state
enum<string>
required
staged
The record is staged and is only visible to administrators or in the API. Use the activate method during your change window.
active
The record is active.
expiring
The expires_at value is set in the future for the record. You can run the activate action to remove the scheduled expiration.
expired
The expires_at value is in the past and the record was deactivated.
deactivated
The record was deactivated manually by an administrator.
Available options:
staged,
active,
expiring,
expired,
deactivated
provider
enum<string>
required
google
Google Account (not Workspace specific)
fleetdock
Provisionr Fleetdock
okta
Okta Workforce Identity
Available options:
google,
fleetdock,
okta
provider_id
string | null
required

The ID of the user from the IdP SSO Response

name
string
required

The first and last name of the user from the IdP SSO Response

handle
string
required

The username of the user. Unless overridden, this is usually the email address handle

email
string
required

The email address of the user

ui_mode
string | null
required

Provisionr has UI color accessibility features that allows each user to choose light or dark mode

ui_color
string | null
required

Provisionr has UI color accessibility features that allows each user to choose any color theme that they prefer and light or dark mode for the application UI. The sign in page and the default color theme for users is usually based on your company branding or logo color.

You can see all of the colors in the Tailwind CSS docs: https://tailwindcss.com/docs/colors

timestamp
object
required

The timestamps for the workspace user record

Example:
{
"created_at": "2024-03-15T10:30:00.000000Z",
"updated_at": "2024-03-15T14:22:00.000000Z",
"expires_at": null,
"last_authenticated_at": "2024-03-16T08:00:00.000000Z",
"last_activity_at": "2024-03-16T09:30:00.000000Z",
"deleted_at": null
}
count
object
required

Count of related records

included
string[]
required

API hyperlinks related to the workspace user record